
import {select,json,geoPath,geoAlbersUsa} from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const projectionofstates = geoAlbersUsa();
const pathGenerating = geoPath().projection(projectionofstates);
//america map//

json(
  'https://gist.githubusercontent.com/eravellisaimeghana/fe7e5645fd51a48b6fb87b616fdb13b6/raw/59f175298299a09d650ef38a4acd4b26b311b9aa/countrymap.csv'
).then((data) => {
  const statesOfAmerica =feature(data, data.objects.states);
//appending states of america//
  statesOfAmerica.features.shift()
  svg
    .selectAll('path')
    .data(statesOfAmerica.features)
    .enter()
    .append('path')
    .attr('class', 'states')
    .attr('d', (d) => pathGenerating(d))
    .append('title')
    .text(d=>d.properties.name);
   svg
    .selectAll('text')
    .data(statesOfAmerica.features)
    .enter()
    .append('text')
    .text((d) => d.properties.name)
    .attr('x', d=>  pathGenerator.centroid(d)[0]   )
    .attr('y',d=>pathGenerator.centroid(d)[1])
    .attr("text-anchor", "middle")
    .attr("font-size", "7px");
});

